> ## Documentation Index
> Fetch the complete documentation index at: https://fdocs.info/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Job Details

>  - Scrape the full job details, including the company basic information. 

 - 1 credit per call.



## OpenAPI

````yaml GET /get-job-details
openapi: 3.0.1
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://web-scraping-api2.p.rapidapi.com
security:
  - ApiKeyAuth: []
paths:
  /get-job-details:
    get:
      description: |2-
         - Scrape the full job details, including the company basic information. 

         - 1 credit per call.
      parameters:
        - name: job_url
          in: query
          required: true
          schema:
            type: string
            format: uri
            example: https://www.linkedin.com/jobs/view/3766410207/
          description: The URL of the job listing.
        - name: include_skills
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            example: 'false'
          description: ''
        - name: include_hiring_team
          in: query
          required: false
          schema:
            type: string
            enum:
              - 'true'
              - 'false'
            example: 'false'
          description: ''
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JobDetails'
        '400':
          description: Invalid linkedin url
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InvalidURL'
        '404':
          description: Profile not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProfileNotFound'
        '503':
          description: Profile not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemError'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    JobDetails:
      type: object
      properties:
        data:
          type: object
          properties:
            company_description:
              type: string
              example: Building a Healthier Future...
            company_id:
              type: string
              example: '18940375'
            company_linkedin_url:
              type: string
              format: uri
              example: https://www.linkedin.com/company/ossiumhealth
            company_name:
              type: string
              example: Ossium Health
            company_public_id:
              type: string
              example: ossiumhealth
            employee_count:
              type: integer
              example: 87
            employee_range:
              type: string
              example: 51 - 200
            experience_level:
              type: string
              example: Mid-Senior level
            follower_count:
              type: integer
              example: 1969
            hq_address_line1:
              type: string
              example: 80 Tehama St
            hq_city:
              type: string
              example: San Francisco
            hq_country:
              type: string
              example: US
            hq_full_address:
              type: string
              example: 80 Tehama St, San Francisco, California 94105, US
            hq_postalcode:
              type: string
              example: '94105'
            hq_region:
              type: string
              example: California
            industries:
              type: array
              items:
                type: string
              example:
                - Biotechnology Research
            job_description:
              type: string
              example: Ossium’s mission is to improve the health...
            job_id:
              type: string
              example: '3690897280'
            job_location:
              type: string
              example: San Francisco Bay Area
            job_title:
              type: string
              example: Business Strategist
            job_type:
              type: string
              example: Full-time
            job_url:
              type: string
              format: uri
              example: https://www.linkedin.com/jobs/view/3690897280/
            remote_allow:
              type: boolean
              example: false
            salary_details:
              type: object
              properties:
                compensation_type:
                  type: string
                  example: BASE_SALARY
                currency_code:
                  type: string
                  example: USD
                max_salary:
                  type: number
                  example: 186000
                min_salary:
                  type: number
                  example: 108500
                pay_period:
                  type: string
                  example: YEARLY
            salary_display:
              type: string
              example: USD108500.0/yr - USD186000.0/yr
            skills:
              type: array
              items:
                type: string
              example:
                - Biotechnology
                - Business Development
                - Communication
            specialities:
              type: array
              items:
                type: string
              example:
                - Bone marrow banking
                - Cryopreservation
                - Stem cell therapy
        message:
          type: string
          example: ok
    InvalidURL:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: 'Bad request: Invalid linkedin_url.'
    ProfileNotFound:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: The url was not found on Linkedin.
    SystemError:
      type: object
      properties:
        data:
          type: object
          nullable: true
          example: null
        message:
          type: string
          example: System error. We will fix it soon!
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-rapidapi-key

````